Bug 487403 - CA console incorrectly validates disabled notifications
CA console incorrectly validates disabled notifications
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Console (Show other bugs)
1.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-02-25 15:30 EST by Andrew Wnuk
Modified: 2015-01-04 18:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:32:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (3.67 KB, patch)
2009-02-25 15:41 EST, Andrew Wnuk
no flags Details | Diff

  None (edit)
Description Andrew Wnuk 2009-02-25 15:30:38 EST
Description of problem:
Disabled notifications should allow to save empty strings.

How reproducible: always

Steps to Reproduce:
1. enable and disable any notification tab
2. save notifications
Comment 1 Andrew Wnuk 2009-02-25 15:41:41 EST
Created attachment 333223 [details]
proposed fix
Comment 2 Christina Fu 2009-02-25 15:56:59 EST
cfu+
Comment 3 Andrew Wnuk 2009-02-25 16:09:54 EST
svn commit pki/dogtag/console/pki-console.spec
Sending        pki/dogtag/console/pki-console.spec
Transmitting file data .
Committed revision 247.

svn commit pki/base/console/src/com/netscape/admin/certsrv/notification/RequestCompletePanel.java
Sending        pki/base/console/src/com/netscape/admin/certsrv/notification/RequestCompletePanel.java
Transmitting file data .
Committed revision 248.

svn commit pki/base/console/src/com/netscape/admin/certsrv/notification/RequestInQPanel.java
Sending        pki/base/console/src/com/netscape/admin/certsrv/notification/RequestInQPanel.java
Transmitting file data .
Committed revision 249.

svn commit pki/base/console/src/com/netscape/admin/certsrv/notification/RequestRevokedPanel.java
Sending        pki/base/console/src/com/netscape/admin/certsrv/notification/RequestRevokedPanel.java
Transmitting file data .
Committed revision 250.
Comment 4 Jenny Galipeau 2009-06-05 15:34:24 EDT
Verified:

1. enabled all notifications adding required values and saved.
2. deleted required value strings, unchecked and saved successfully.

Note You need to log in before you can comment on or make changes to this bug.